<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Insert-into-mysql.aspx.cs" Inherits="_Register" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Insert into MySQL database</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:Panel ID="CurrentPanel" Width="750px" runat="server" Visible="true">
        <h1>Insert into MySQL database</h1>
        This example shows how you can write C# code to insert a record of data into a table in a MySQL database.
        You need to create a MySQL database and at least one table in this database to be able to test this code, the
        connection string are stated in the Web.config file and this connection string must also be updated by you. The
        code is executed when the user clicks on the "Register" button.<br />
        <br />
        If you want to connect to and use a MySQL database in a ASP.NET application you need
        either to install MySQL Connector Net on the webserver and add a reference to MySql.Data.dll
        in the GAC or copy the MySql.Data.dll to the "bin" folder in the webapplication. We have added
        a reference to MySql.Data.dll as you can see in the Web.config file.<br />
        <br />
        <table width="704">
            <tr >
                <td colspan="3">Register</td>
            </tr>
            <tr>
                <td style="width: 200px">
                    E-mail:</td>
                <td style="width: 254px">
                    <asp:TextBox id="txtUserName" runat="server" Width="95%"></asp:TextBox></td>
                <td style="width: 250px">
                    <asp:RequiredFieldValidator id="EmailRequired" runat="server" ControlToValidate="txtUserName"
                        Display="Dynamic" ErrorMessage="* A valid email must be entered" Width="216px" ValidationGroup="RegisterCustomer">* A valid email must be entered</asp:RequiredFieldValidator></td>
            </tr>
            <tr>
                <td style="width: 200px">Password:</td>
                <td style="width: 254px">
                    <asp:TextBox id="txtPassword" textmode="Password" runat="server" width="95%"></asp:TextBox></td>
                <td style="width: 250px">
                    <asp:RequiredFieldValidator id="PasswordRequired" runat="server" controltovalidate="txtPassword"
                        errormessage="* Password must be entered" validationgroup="RegisterCustomer" display="Dynamic" width="216px">* Password must be entered</asp:RequiredFieldValidator></td>
            </tr>
            <tr>
                <td style="width: 200px">Confirm password:</td>
                <td style="width: 254px">
                    <asp:TextBox ID="txtConfirmPassword" textmode="Password" runat="server" width="95%"></asp:TextBox></td>
                <td style="width: 250px">
                <asp:CompareValidator id="ComparePassword" runat="server" controltocompare="txtPassword"
                        controltovalidate="txtConfirmPassword" errormessage="* Passwords do not match"
                        width="216px" validationgroup="RegisterCustomer"></asp:CompareValidator></td>
            </tr>
            <tr>
                <td style="width: 200px">Company/Name:</td>
                <td style="width: 254px">
                    <asp:TextBox id="txtCompanyName" runat="server" width="95%"></asp:TextBox></td>
                <td style="width: 250px">
                    <asp:RequiredFieldValidator ID="CompanyRequired" runat="server" controltovalidate="txtCompanyName"
                        display="Dynamic" errormessage="* Company / Name must be entered" width="216px" validationgroup="RegisterCustomer">* Company / Name must be entered</asp:RequiredFieldValidator></td>
            </tr>
            <tr>
                <td style="width: 200px">Organization number:</td>
                <td style="width: 254px">
                    <asp:TextBox id="txtOrganisationNumber" runat="server" width="95%"></asp:TextBox></td>
                <td style="width: 250px">
                </td>
            </tr>
            <tr>
                <td style="width: 200px">Contact:</td>
                <td style="width: 254px">
                    <asp:TextBox id="txtContact" runat="server" width="95%"></asp:TextBox></td>
                <td style="width: 250px">
                </td>
            </tr>
            <tr>
                <td style="width: 200px">
                    C/O or attention:</td>
                <td style="width: 254px">
                    <asp:TextBox id="txtAttention" runat="server" width="95%"></asp:TextBox></td>
                <td style="width: 250px">
                </td>
            </tr>
            <tr>
                <td style="width: 200px">
                    Box or street address:</td>
                <td style="width: 254px">
                    <asp:TextBox ID="txtAdress" runat="server" width="95%"></asp:TextBox></td>
                <td style="width: 250px">
                </td>
            </tr>
            <tr>
                <td style="width: 200px">Postal Code:</td>
                <td style="width: 254px">
                    <asp:TextBox id="txtPostalCode" runat="server" width="95%"></asp:TextBox></td>
                <td style="width: 250px">
                </td>
            </tr>
            <tr>
                <td style="width: 200px">City:</td>
                <td style="width: 254px">
                    <asp:TextBox id="txtCity" runat="server" width="95%"></asp:TextBox></td>
                <td style="width: 250px">
                </td>
            </tr>
            <tr>
                <td style="width: 200px">Country</td>
                <td style="width: 254px">
                    <asp:TextBox id="txtCountry" runat="server" width="95%"></asp:TextBox></td>
                <td style="width: 250px">
                </td>
            </tr>
            <tr>
                <td style="width: 200px">
                </td>
                <td style="width: 254px">
                </td>
                <td style="width: 250px">
                </td>
            </tr>
            <tr>
                <td style="width: 200px">
                </td>
                <td style="width: 254px">
                    <asp:Button id="btnRegister" runat="server" text="Register" validationgroup="RegisterCustomer" OnClick="btnRegister_Click" /></td>
                <td style="width: 250px">
                <asp:Label id="SqlEx" runat="server" forecolor="Red" width="216px"></asp:Label></td>
            </tr>
        </table>
        </asp:Panel>
        <asp:Panel ID="ThankYouPanel" Width="750px" runat="server" Visible="false">
        <h1>Thank you</h1>
        Thank you for register with us.
        </asp:Panel>
    </form>
</body>
</html>
